Skip to main content
GET
Get describe for a file segment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_id
string<uuid>
required

The ID of the file

segment_id
string<uuid>
required

The ID of the segment

job_id
string<uuid>
required

The ID of the describe job

Query Parameters

response_format
enum<string>

Output format for the describe data

Available options:
json,
markdown

Response

Describe for the segment

Describe output for a specific video segment

job_id
string<uuid>
required

The ID of the describe job

segment_id
string<uuid>
required

The ID of the video segment

status
enum<string>
required

Status of the describe job

Available options:
pending,
processing,
completed,
failed,
not_applicable
describe_config
object
required

Configuration for media description from videos

created_at
integer
required

Unix timestamp in milliseconds when the job was created

start_time
number
required

Start time of the segment in seconds

end_time
number
required

End time of the segment in seconds

file_id
string<uuid>
required

The ID of the file

object
enum<string>
required

Object type

Available options:
segment_describe
completed_at
integer

Unix timestamp in milliseconds when the job completed

segmentation_id
string<uuid>

The ID of the segmentation job

data
object

The describe output data. When response_format=json, contains visual_scene_description, speech, scene_text, and audio_description arrays. When response_format=markdown, contains a content string.